# Interface TreeBuilder<T extends Tree>

All Known Implementing Classes:
  `ClusteringTreeBuilder, ConsensusTreeBuilder, NeighborJoiningTreeBuilder`

public interface TreeBuilder<T extends Tree>

Version:
  $Id: TreeBuilder.java 301 2006-04-17 15:35:01Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`void`
`addProgressListener(ProgressListener listener)`
`T`
`build()`
`void`
`removeProgressListener(ProgressListener listener)`

## Method Details

### build

T build()

### addProgressListener

void addProgressListener(ProgressListener listener)

### removeProgressListener

void removeProgressListener(ProgressListener listener)